/*
 * DMLib
 * -- Bitmap image conversion and loading
 * Programmed and designed by Matti 'ccr' Hamalainen
 * (C) Copyright 2012-2015 Tecnic Software productions (TNSP)
 */
#ifndef DMIMAGE_H
#define DMIMAGE_H

#include "dmlib.h"
#include "dmres.h"

#ifdef __cplusplus
extern "C" {
#endif


SDL_Surface *dmCreateRGBSurfaceFrom(void *data, const int width, const int height, const int depth, const int pitch, const Uint32 format);
SDL_Surface *dmCreatePaletteSurfaceFrom(void *data, const int width, const int height, const int pitch);
SDL_Surface *dmLoadImage(DMResource *file);
SDL_Texture *dmLoadImageToTexture(DMResource *file, SDL_Renderer *renderer);


#ifdef __cplusplus
}
#endif

#endif // DMIMAGE_H
