#!/bin/sh
###
### Simple script to find C64 chargen ROM image file
###
IFOUND=""
for IROOT in /usr /usr/local /opt; do
  for IBASE in lib lib64 share; do
    IPATH="${IROOT}/${IBASE}/vice/C64/chargen"
    if test -e "$IPATH"; then
      IFOUND="$IPATH"
    fi
  done
done

# Echo the define if found
if test -n "$IFOUND"; then
  echo "-DDM_DEF_CHARGEN=\\\"${IFOUND}\\\""
fi
